$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-loader'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Loader-1.0.4-BETA.msi'
  softwareName = 'Invantive Data Loader'
  checksum = 'B2313F8AAD869CB2210F70F5C7922A99A39C2378875DE41FE2581122F53D05FD'
  checksumType = 'sha256'
  checksum64 = 'B2313F8AAD869CB2210F70F5C7922A99A39C2378875DE41FE2581122F53D05FD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-loader-1.0.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
